Merge "Change feature odl-genius-ui to odl-genius-rest"
authorJamo Luhrsen <jluhrsen@redhat.com>
Tue, 4 Jul 2017 17:48:02 +0000 (17:48 +0000)
committerGerrit Code Review <gerrit@opendaylight.org>
Tue, 4 Jul 2017 17:48:02 +0000 (17:48 +0000)
61 files changed:
.coafile
docs/cloud-images.rst
jenkins-admin/del_computer.groovy [deleted file]
jenkins-admin/slay_computer.groovy [deleted file]
jjb/aaa/aaa-csit-keystone.yaml
jjb/aaa/aaa-csit-tls.yaml
jjb/autorelease/autorelease-projects.yaml
jjb/autorelease/autorelease-templates.yaml
jjb/bgpcep/bgpcep-csit-bgp-ingest.yaml
jjb/bgpcep/bgpcep.yaml
jjb/coe/coe.yaml
jjb/genius/genius-csit-genius.yaml
jjb/global-jjb
jjb/integration/include-raw-integration-compare-distributions.sh
jjb/integration/include-raw-integration-configure-clustering.sh
jjb/integration/include-raw-integration-deploy-openstack-run-test.sh
jjb/integration/include-raw-integration-install-robotframework.sh
jjb/integration/integration-detect-variables.sh
jjb/integration/integration-test-jobs.yaml
jjb/lacp/lacp-csit-lacp.yaml
jjb/netvirt/netvirt-csit-hwvtep-openstack.yaml
jjb/netvirt/netvirt-csit-multi-openstack.yaml
jjb/netvirt/netvirt-legacy-csit-multi-openstack.yaml
jjb/netvirt/netvirt-patch-test.yaml
jjb/nic/nic-csit-vtnrenderer.yaml [deleted file]
jjb/odlparent/odlparent.yaml
jjb/opendaylight-infra-deploy-maven-site.sh [new file with mode: 0644]
jjb/opendaylight-infra-push-gerrit-patch.sh
jjb/openflowplugin/openflowplugin-csit-bulkomatic-clustering-daily.yaml
jjb/openflowplugin/openflowplugin-csit-bulkomatic-clustering-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-bulkomatic-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-cbench-daily.yaml
jjb/openflowplugin/openflowplugin-csit-clustering.yaml
jjb/openflowplugin/openflowplugin-csit-flow-services-frs.yaml
jjb/openflowplugin/openflowplugin-csit-flow-services.yaml
jjb/openflowplugin/openflowplugin-csit-link-scalability-daily.yaml
jjb/openflowplugin/openflowplugin-csit-longevity.yaml
jjb/openflowplugin/openflowplugin-csit-restconf-clustering-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-restconf-perf-daily.yaml
jjb/openflowplugin/openflowplugin-csit-sanity.yaml
jjb/openflowplugin/openflowplugin-csit-scalability.yaml
jjb/openflowplugin/openflowplugin-csit-scale-stats-collection-daily.yaml
jjb/openflowplugin/openflowplugin-csit-sw-scalability-daily.yaml
jjb/packaging/include-raw-build-deb.sh
jjb/packaging/include-raw-test-deb.sh
jjb/packaging/include-raw-test-karaf.expect
jjb/packaging/include-raw-test-rpm.sh
jjb/packaging/packaging.yaml
jjb/releng-defaults.yaml
jjb/releng-jobs.yaml
jjb/releng-macros.yaml
jjb/releng-templates-java.yaml
jjb/tcpmd5/tcpmd5.yaml [deleted file]
jjb/ttp/ttp.yaml
jjb/unimgr/unimgr-csit-legato.yaml
jjb/vtn/vtn-csit-3node-manager.yaml
jjb/vtn/vtn-csit-coordinator.yaml
jjb/vtn/vtn-csit-manager.yaml
jjb/vtn/vtn-manager-csit-1node-openstack.yaml
packer/provision/baseline.sh
packer/provision/devstack-pre-pip.sh

index 22f7f7b190a99883fe05cb709dc9f36a01fd8cf8..70e0137607c70c1902c6dda2226b40cfb049778b 100644 (file)
--- a/.coafile
+++ b/.coafile
@@ -12,21 +12,12 @@ files = **/*.json
 ignore = .*/**
 indent_size = 2
 
-[YAML]
-bears = YAMLLintBear
-files = jjb/**/*.yaml,openstack-hot/**/*.yaml
-document_start = True
-yamllint_config = yamllint.conf
-
 [ShellCheck]
 bears = ShellCheckBear,SpaceConsistencyBear
-files = jenkins-scripts/**/*.sh,
-    jjb/**/*.sh,
-    scripts/**/*.sh
-ignore = jenkins-scripts/*-local-env.sh,
-    jjb/global-jjb/shell/*.sh,
-    jjb/integration/include-raw-integration-compare-distributions.sh,
-    jjb/integration/include-raw-integration-configure-clustering.sh,
+files = **/*.sh
+ignore = .git/**,
+    .tox/**,
+    jenkins-scripts/*-local-env.sh,
     jjb/integration/include-raw-integration-deploy-controller-offline.sh,
     jjb/integration/include-raw-integration-deploy-controller-run-test.sh,
     jjb/integration/include-raw-integration-deploy-controller-verify.sh,
@@ -42,3 +33,9 @@ ignore = jenkins-scripts/*-local-env.sh,
 shell = bash
 indent_size = 4
 use_spaces = yeah
+
+[YAML]
+bears = YAMLLintBear
+files = jjb/**/*.yaml,openstack-hot/**/*.yaml
+document_start = True
+yamllint_config = yamllint.conf
index 63ef63b3a1e222f58403df04c41b8a137476e882..59e69c814e82514ff4526673d64280929c4c5f84 100644 (file)
@@ -44,6 +44,7 @@ Following are the list of published images available to be used with Jenkins job
 * Ubuntu 14.04 - mininet - 20170210-0439
 * Ubuntu 14.04 - mininet - 20170606-0534
 * Ubuntu 14.04 - mininet - 20170609-0220
+* Ubuntu 14.04 - mininet - 20170611-0950
 * Ubuntu 14.04 - mininet-ovs-2.3 - 20170117-0004
 * Ubuntu 14.04 - mininet-ovs-2.5 - 20170117-0004
 * Ubuntu 14.04 - mininet-ovs-23 - 20170130-0415
diff --git a/jenkins-admin/del_computer.groovy b/jenkins-admin/del_computer.groovy
deleted file mode 100644 (file)
index 0143887..0000000
+++ /dev/null
@@ -1,39 +0,0 @@
-/*****************
-* Removes offline slave nodes
-*
-* NOTE: Some slaves can't be removed as the backing instance already is
-* missing but the UI collection didn't get the update. See the
-* slay_computer.groovy for a more drastic destruction
-*
-* NOTE 2: If you have any slaves you want to live through this and you
-* have them currently marked offline you _must_ bring them back online.
-*****************/
-
-import hudson.model.*
-
-def numberOfflineNodes = 0
-def numberNodes = 0
-
-slaveNodes = hudson.model.Hudson.instance
-
-for (slave in slaveNodes.nodes) {
-    def computer = slave.computer
-    numberNodes ++
-    println ""
-    println "Checking computer ${computer.name}:"
-    if (computer.offline) {
-        numberOfflineNodes ++
-        println '\tcomputer.isOffline: ' + slave.getComputer().isOffline()
-        println '\tcomputer.offline: ' + computer.offline
-        println '\tRemoving slave'
-        slaveNodes.removeNode(slave)
-    } else {
-        println '\tcomputer.isOffline: ' + slave.getComputer().isOffline()
-        println '\tcomputer.offline: ' + computer.offline
-    }
-}
-
-println "Number of Offline Nodes: " + numberOfflineNodes
-println "Number of Nodes: " + numberNodes
-
-// vim: sw=4 sts=4 ts=4 et ai :
diff --git a/jenkins-admin/slay_computer.groovy b/jenkins-admin/slay_computer.groovy
deleted file mode 100644 (file)
index 97ede6c..0000000
+++ /dev/null
@@ -1,35 +0,0 @@
-/*****************
-* Completely slays misbehaving slave nodes
-*
-* NOTE: Use del_computer.groovy first! If nodes are still hanging around
-* _then_ consider using this script. This one is mucking around in a
-* location we should not normally be touching, however if a slave
-* refuses to go away (tosses an exception) this _will_ get rid of it.
-*
-* NOTE 2: If you have any slaves you want to live through this and you
-* have them currently marked offline you _must_ bring them back online.
-*****************/
-
-import jenkins.*
-import jenkins.model.*
-import hudson.*
-import hudson.model.*
-
-for (aComputer in Jenkins.instance.computers) {
-    try {
-        println "displayName: " + aComputer.properties.displayName
-        println "offline: " + aComputer.properties.offline
-        println "temporarilyOffline: " + aComputer.properties.temporarilyOffline
-        if (aComputer.properties.offline) {
-            println "Bad node, removing"
-            Jenkins.instance.removeComputer(aComputer)
-        }
-        println ""
-    }
-    catch (NullPointerException nullPointer) {
-        println "NullPointerException caught"
-        println ""
-    }
-}
-
-// vim: sw=4 sts=4 ts=4 et ai :
index 4c79a92b9b54d415531ae8361c6f8526c600322c..c5d3acd66c6bc3e9e59ca900f27df91a8d0c0154 100644 (file)
@@ -32,7 +32,7 @@
 
     tools_system_count: '1'
     tools_system_flavor: '4 GB General Purpose v1'
-    tools_system_image: 'CentOS 7 - docker - 20170120-1434'
+    tools_system_image: 'CentOS 7 - docker - 20170609-0220'
 
     # Robot custom options
     robot-options: ''
index 269dc52e6c4c715eeebd5cf945a9cf7124416c90..87d5a899d0ff298b94d05209fea08244108a175d 100644 (file)
           scope: 'only'
 
     # Features to install
-    install-features: odl-restconf,
-        odl-netconf-all,
-        http
+    install-features: odl-ovsdb-southbound-impl-rest
 
     # Robot custom options
     robot-options: ''
 
-    # Don't spin up mininet vms as aaa-csit-authn jobs don't need them
-    tools_system_count: 0
+    # mininet image
+    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
index 208a0643c814b26a170b7768d3e062e5ad4dc77e..ffb06f79e2b96d71c327c6c9b9500b8d45e80b98 100644 (file)
           branch: 'master'
           jdk: 'openjdk8'
           integration-test: nitrogen
-          karaf-version: karaf3
       - carbon:
           next-release-tag: Carbon
           branch: 'stable/carbon'
           jdk: 'openjdk8'
           integration-test: carbon
           karaf-version: karaf3
-          extra-mvn-opts: -Dskip.karaf.featureTest=true
+          extra-mvn-opts: -Dskip.karaf4.featureTest=true
       - boron:
           # Only run once a week since Boron is in maintenance mode
           cron: 'H H * * 0'
-          next-release-tag: Boron-SR4
+          next-release-tag: Boron-SR5
           branch: 'stable/boron'
           jdk: 'openjdk8'
           integration-test: boron
index ba7e013b1b5eaea87798d5ebe723196c3cc9bf83..95800c190394b663388f05f7c3e9bd7fbeeca059 100644 (file)
 
     publishers:
       - opendaylight-infra-notify-status
-      - archive:
-          # Need to archive dependencies.log in Jenkins to provide a simple
-          # way for downstream jobs to pull the latest version of this file
-          # in their builds.
-          artifacts: 'dependencies.log'
       - trigger-parameterized-builds:
-          - project: 'autorelease-generate-release-notes-{stream}'
-            condition: UNSTABLE_OR_BETTER
-            property-file: variables.jenkins-trigger
-            fail-on-missing: true
           - project: 'integration-distribution-test-{integration-test}'
             condition: UNSTABLE_OR_BETTER
             property-file: variables.jenkins-trigger
       - lf-infra-parameters:
           project: releng/autorelease
           branch: '{branch}'
+          stream: '{stream}'
           refspec: 'refs/heads/{branch}'
       - string:
           name: RELEASE_TAG
           - version-bump.sh
 
     publishers:
+      - trigger-parameterized-builds:
+          - project: 'autorelease-generate-release-notes-{stream}'
+            condition: UNSTABLE_OR_BETTER
+            trigger-with-no-params: true
       - lf-infra-publish
 
 - job-template:
       - lf-infra-parameters:
           project: '{project}'
           branch: '{branch}'
+          stream: '{stream}'
 
     scm:
       - lf-infra-gerrit-scm:
index 22cda72e9947e30ad16a59ed42245a897d5843cf..c074aa07212249e50d0932d97e6a41a4675b617f 100644 (file)
@@ -48,6 +48,7 @@
     # Features to install
     install-features: >
         odl-restconf,
+        odl-jolokia,
         odl-bgpcep-data-change-counter,
         odl-bgpcep-bgp,
         odl-netconf-topology
index df86c660e565077082302b27abf52e6a72dca89d..a9dcb4ff4bc8e3526f7ffae516e41854b426ad69 100644 (file)
@@ -20,7 +20,7 @@
       - mvn33:
           mvn-version: 'mvn33'
     mvn-settings: 'bgpcep-settings'
-    mvn-goals: 'clean -DrepoBuild install javadoc:aggregate'
+    mvn-goals: 'clean install'
     mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
     dependencies: >
         odlparent-merge-{stream},
index dd495752fbd9dc039132fc0bedd573000cb70f74..c20bc7d9c142a4a9271f3510e62c56d021c46699 100644 (file)
@@ -3,6 +3,7 @@
     name: coe-nitrogen
     jobs:
       - '{project-name}-clm-{stream}'
+      - '{project-name}-distribution-check-{stream}'
       - '{project-name}-integration-{stream}'
       - '{project-name}-merge-{stream}'
       - '{project-name}-verify-{stream}-{maven}-{jdks}'
index 55217c543a1f8f2c86cbec9d7cb2928ea1426b81..6c8b79bbe34b9c6abca402ef243f495b3e2c8ed1 100644 (file)
@@ -38,7 +38,7 @@
 
     # Mininet configuration
     tools_system_count: 2
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     # Features to install
     install-features: 'odl-genius-rest'
index 129735b3b42874ae1de0d0708e28cde16b615e9e..0a7789167effec0b07cc32794d44ff3222e90a1a 160000 (submodule)
@@ -1 +1 @@
-Subproject commit 129735b3b42874ae1de0d0708e28cde16b615e9e
+Subproject commit 0a7789167effec0b07cc32794d44ff3222e90a1a
index af4d2e8826673e7f014791c95f7b8f679e8bcc5e..a7b3827eca45d9ab885ec38e73b80ac4713d3500 100644 (file)
@@ -38,16 +38,16 @@ mv $BUNDLEFOLDER /tmp/distro_old
 rm $BUNDLE
 
 echo "Extracting the distribution just created by this job..."
-NEW_DISTRO="$(find $WORKSPACE -name ${KARAF_ARTIFACT}*.zip)"
+NEW_DISTRO="$(find $WORKSPACE -name "${KARAF_ARTIFACT}*.zip")"
 NEW_DISTRO_BASENAME="$(basename "$NEW_DISTRO")"
 cp $NEW_DISTRO /tmp/
-cd /tmp/
+cd /tmp/ || exit
 # get the name of the folder which will be extracted to
 EXTRACTED_FOLDER=$(unzip $NEW_DISTRO_BASENAME | grep 'creating:' | grep -v '/.' | cut -d' ' -f5-)
 mv $EXTRACTED_FOLDER distro_new
 
 git clone https://git.opendaylight.org/gerrit/p/integration/test.git
-cd test/tools/distchanges
+cd test/tools/distchanges || exit
 mkdir -p $WORKSPACE/archives
 
 # Full output of compare tool will be in temp file /tmp/dist_diff.txt
index ed8e67096ab05e6ba34c63bfe76f1181815e2536..9568c3688129b1b5c73049370c3c88581e7a210f 100644 (file)
@@ -2,6 +2,7 @@
 # Activate robotframework virtualenv
 # ${ROBOT_VENV} comes from the include-raw-integration-install-robotframework.sh
 # script.
+# shellcheck source=${ROBOT_VENV}/bin/activate disable=SC1091
 source ${ROBOT_VENV}/bin/activate
 
 echo "#################################################"
@@ -28,7 +29,7 @@ function join {
     delim=' '
     final=$1; shift
 
-    for str in $* ; do
+    for str in "$@" ; do
         final=${final}${delim}${str}
     done
 
@@ -41,7 +42,7 @@ for i in `seq 1 ${NUM_ODL_SYSTEM}` ; do
     nodes[$i]=${!CONTROLLERIP}
 done
 
-nodes_list=$(join ${nodes[@]})
+nodes_list=$(join "${nodes[@]}")
 
 echo ${nodes_list}
 
index ce35882ff7b049b10bd1e07b1a4c660b19e8ace3..1a47f91d6a6891017e241918a047a145fb811abf 100644 (file)
@@ -417,6 +417,7 @@ do
     scp ${!OS_CTRL_IP}:/var/log/openvswitch/ovs-vswitchd.log ${OS_CTRL_FOLDER}/ovs-vswitchd.log
     scp ${!OS_CTRL_IP}:/etc/neutron/neutron.conf ${OS_CTRL_FOLDER}/neutron.conf
     scp ${!OS_CTRL_IP}:/etc/nova/nova.conf ${OS_CTRL_FOLDER}/nova.conf
+    scp ${!OS_CTRL_IP}:/etc/kuryr/kuryr.conf ${OS_CTRL_FOLDER}/kuryr.conf
     rsync -avhe ssh ${!OS_CTRL_IP}:/opt/stack/logs/* ${OS_CTRL_FOLDER} # rsync to prevent copying of symbolic links
     scp extra_debug.sh ${!OS_CTRL_IP}:/tmp
     ${SSH} ${!OS_CTRL_IP} "bash /tmp/extra_debug.sh > /tmp/extra_debug.log"
@@ -784,6 +785,22 @@ cat testplan.txt
 
 SUITES=`egrep -v '(^[[:space:]]*#|^[[:space:]]*$)' testplan.txt | tr '\012' ' '`
 
+#Environment Variables Needed to execute Openstack Client for NEtvirt Jobs
+cat > /tmp/os_netvirt_client_rc << EOF
+export OS_USERNAME=admin
+export OS_PASSWORD=admin
+export OS_PROJECT_NAME=admin
+export OS_USER_DOMAIN_NAME=default
+export OS_PROJECT_DOMAIN_NAME=default
+export OS_AUTH_URL="http://${!CONTROLIP}:35357/v3"
+export OS_IDENTITY_API_VERSION=3
+export OS_IMAGE_API_VERSION=2
+export OS_TENANT_NAME=admin
+unset OS_CLOUD
+EOF
+
+source /tmp/os_netvirt_client_rc
+
 #FIXME currently support only 1 site
 echo "Starting Robot test suites ${SUITES} ..."
 # please add pybot -v arguments on a single line and alphabetized
index ddef09f5122fc4a74b53d42325a499a1720efb58..4897254fba97112ae16c1d8eb3a3c38b34a2b6bc 100644 (file)
@@ -37,7 +37,7 @@ pip install --upgrade robotframework-httplibrary \
 pip install --upgrade jsonpath-rw
 
 # Modules for longevity framework robot library
-pip install --upgrade elasticsearch elasticsearch-dsl
+pip install --upgrade elasticsearch==1.7.0 elasticsearch-dsl==0.0.11
 
 # Module for pyangbind used by lispflowmapping project
 pip install --upgrade pyangbind
@@ -56,6 +56,10 @@ pip install --upgrade jmespath
 # Module for backup-restore support library
 pip install --upgrade jsonpatch
 
+#Module OpenstackClient is needed for NEtvirt CSIT jobs
+pip install python-openstackclient
+pip install python-neutronclient
+
 # Print installed versions.
 pip freeze
 
index 78067e9bd6a88203f7d70be3c6f64e51fbb41bb0..f28711cd8b736bf32b786c9500b0135639842280 100644 (file)
@@ -20,16 +20,12 @@ if [ ${BUNDLE_URL} == 'last' ]; then
     BUNDLEFOLDER="${KARAF_ARTIFACT}-${BUNDLEVERSION}"
     BUNDLE="${KARAF_ARTIFACT}-${TIMESTAMP}.zip"
     ACTUAL_BUNDLE_URL="${NEXUSPATH}/${BUNDLEVERSION}/${BUNDLE}"
-elif [[ "${BUNDLE_URL}" == *"jenkins"* ]]; then
-    ACTUAL_BUNDLE_URL="${BUNDLE_URL}"
-    BUNDLE="${BUNDLE_URL##*/}"
-    BUNDLEFOLDER="${BUNDLE//.zip}"
-    BUNDLEVERSION="${BUNDLEFOLDER//$KARAF_ARTIFACT-}"
 else
     ACTUAL_BUNDLE_URL="${BUNDLE_URL}"
     BUNDLE="${BUNDLE_URL##*/}"
+    ARTIFACT="$(basename "$(dirname "$(dirname "${BUNDLE_URL}")")")"
     BUNDLEVERSION="$(basename "$(dirname "${BUNDLE_URL}")")"
-    BUNDLEFOLDER="${KARAF_ARTIFACT}-${BUNDLEVERSION}"
+    BUNDLEFOLDER="${ARTIFACT}-${BUNDLEVERSION}"
 fi
 
 echo "Distribution bundle URL is ${ACTUAL_BUNDLE_URL}"
index 904ae14c7e21f2f6df6d02aa467d0d6f1b4ef5d5..451ac12397fb014e1db61170c427f1d156e7497a 100644 (file)
@@ -22,7 +22,7 @@
           csit-list: '{csit-list-nitrogen}'
           csit-sanity-list: '{csit-sanity-list-nitrogen}'
           csit-weekly-list: '{csit-weekly-list-nitrogen}'
-          schedule-weekly: 'H 12 * * 0'
+          schedule-weekly: 'H 23 * * 6'
           csit-high-frequency-list: ''
           schedule-high-frequency: ''
 
@@ -34,7 +34,7 @@
           csit-list: '{csit-list-carbon}'
           csit-sanity-list: '{csit-sanity-list-carbon}'
           csit-weekly-list: '{csit-weekly-list-carbon}'
-          schedule-weekly: 'H 12 * * 0'
+          schedule-weekly: 'H 23 * * 6'
           csit-high-frequency-list: '{csit-high-frequency-list-carbon}'
           schedule-high-frequency: 'H H/4 * * *'
 
           csit-list: '{csit-list-boron}'
           csit-sanity-list: '{csit-sanity-list-boron}'
           csit-weekly-list: '{csit-weekly-list-boron}'
-          schedule-weekly: 'H 12 * * 0'
+          schedule-weekly: 'H 23 * * 6'
           csit-high-frequency-list: ''
           schedule-high-frequency: ''
 
     # tools system image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
 # Template: integration-csit-verify-1node-library
 # Goal: Verify changes in csit folder not covered by projects suite verify jobs (e.g. libraries or variables)
index 82a0606c96268cb23cc8b5be111e992687222d26..72049dff2534e8593daa1c6dbae1cc4e461c100e 100644 (file)
@@ -31,7 +31,7 @@
       - all:
           scope: 'all'
 
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     # Features to install
     install-features: 'odl-lacp-ui'
index a5d6460378896b5a3e023fa248797c6f039d09d3..06abe2c24419ffe9a5b39239f94612778e4e7349 100644 (file)
@@ -30,6 +30,9 @@
       - upstream-learn:
           schedule: ''
           sg-mode: 'learn'
+      - gate-stateful:
+          schedule: ''
+          sg-mode: 'stateful'
 
     stream:
       - nitrogen:
       - newton:
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
       - newton-nodl-v2:
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
           odl-ml2-driver-version: 'v2'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
 
     tools_system_count: 2
 
index 4e1ba2f688a4f4ae2ff9a96e30e6b2aadc1dd82d..a5cc373274c386b50a4cadfeae4bc6f8eb06f43d 100644 (file)
@@ -1,6 +1,7 @@
 ---
+
 - project:
-    name: netvirt-csit-openstack-integration
+    name: netvirt-csit-openstack-integration-nitrogen
     jobs:
       - '{project}-csit-{topology}-openstack-{openstack}-{functionality}-{stream}'
 
           schedule: ''
           sg-mode: 'transparent'
       - upstream-stateful:
-          schedule: ''
+          schedule: '@daily'
           sg-mode: 'stateful'
+          # yamllint disable-line rule:line-length
+          bundle-url: 'https://jenkins.opendaylight.org/releng/view/netvirt/job/netvirt-merge-nitrogen/lastSuccessfulBuild/org.opendaylight.netvirt$vpnservice-karaf/artifact/org.opendaylight.netvirt/vpnservice-karaf/0.5.0-SNAPSHOT/vpnservice-karaf-0.5.0-SNAPSHOT.zip'
       - upstream-stateful-snat-conntrack:
           schedule: ''
           sg-mode: 'stateful'
       - nitrogen:
           branch: 'master'
           jre: 'openjdk8'
+
+    openstack:
+      - newton:
+          openstack-branch: 'stable/newton'
+          odl-ml2-branch: 'stable/newton'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
+      - newton-nodl-v2:
+          openstack-branch: 'stable/newton'
+          odl-ml2-branch: 'stable/newton'
+          odl-ml2-driver-version: 'v2'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
+      - ocata:
+          openstack-branch: 'stable/ocata'
+          odl-ml2-branch: 'stable/ocata'
+          odl-ml2-driver-version: 'v2'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
+
+    security-group-mode: '{sg-mode}'
+
+- project:
+    name: netvirt-csit-openstack-integration
+    jobs:
+      - '{project}-csit-{topology}-openstack-{openstack}-{functionality}-{stream}'
+
+    project: 'netvirt'
+
+    topology:
+      - 1node:
+          openstack_system_count: 3
+          odl_system_count: 1
+          enable-haproxy: 'no'
+          install-features: 'odl-netvirt-openstack'
+      - 3node:
+          openstack_system_count: 4
+          odl_system_count: 3
+          enable-haproxy: 'yes'
+          install-features: 'odl-jolokia,odl-netvirt-openstack'
+
+    testplan: '{project}-{topology}-openstack.txt'
+
+    functionality:
+      - upstream-transparent:
+          schedule: ''
+          sg-mode: 'transparent'
+      - upstream-stateful:
+          schedule: ''
+          sg-mode: 'stateful'
+      - upstream-stateful-snat-conntrack:
+          schedule: ''
+          sg-mode: 'stateful'
+          odl-snat-mode: 'conntrack'
+      - upstream-learn:
+          schedule: ''
+          sg-mode: 'learn'
+      - gate-learn:
+          schedule: ''
+          sg-mode: 'learn'
+      - gate-transparent:
+          schedule: ''
+          sg-mode: 'transparent'
+      - gate-stateful:
+          schedule: ''
+          sg-mode: 'stateful'
+      - gate-minimal-transparent:
+          schedule: ''
+          sg-mode: 'transparent'
+          testplan: '{project}-{topology}-minimal-openstack.txt'
+      - gate-tempest-transparent:
+          schedule: ''
+          sg-mode: 'transparent'
+          testplan: '{project}-{topology}-tempest-openstack.txt'
+
+    stream:
       - carbon:
           branch: 'stable/carbon'
           jre: 'openjdk8'
       - newton:
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
       - newton-nodl-v2:
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
           odl-ml2-driver-version: 'v2'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
       - ocata:
           openstack-branch: 'stable/ocata'
           odl-ml2-branch: 'stable/ocata'
           odl-ml2-driver-version: 'v2'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
 
     security-group-mode: '{sg-mode}'
 
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
           odl-ml2-driver-version: 'v2'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
 
     security-group-mode: 'stateful'
index ac29d69c4668b3b40faacd4f4c3f3333d2bb7108..b255922bfde674e930d601c6ffb52c3c3379ce40 100644 (file)
       - newton:
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
       - newton-nodl-v2:
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
           odl-ml2-driver-version: 'v2'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
       - ocata:
           openstack-branch: 'stable/ocata'
           odl-ml2-branch: 'stable/ocata'
           odl-ml2-driver-version: 'v2'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
 
     public-bridge: 'br-ex'
index bbc9318acd7efcaee7e248cbd640602cf4e76e8e..d6ad65ca94fa93002fef998910d1fe18cc7c4585 100644 (file)
           karaf-version: karaf3
 
     feature:
-      - legacy:
-          csit-list: >
-              netvirt-legacy-csit-1node-openstack-newton-nodl-v2-gate-{stream},
-              netvirt-legacy-csit-1node-openstack-basic-only-{stream}
       - current:
           csit-list: >
               netvirt-csit-1node-openstack-newton-nodl-v2-gate-stateful-{stream}
       - snat-conntrack:
           csit-list: >
               netvirt-csit-1node-openstack-newton-upstream-stateful-snat-conntrack-{stream}
+      - hwvtep:
+          csit-list: >
+              netvirt-csit-hwvtep-1node-openstack-newton-gate-stateful-{stream}
+
+- project:
+    name: netvirt-legacy-patch-test
+    jobs:
+      - '{project}-patch-test-{feature}-{stream}'
+
+    # The project name
+    project: 'netvirt-legacy'
+
+    # Project branches
+    stream:
+      - boron:
+          branch: 'stable/boron'
+          jdk: 'openjdk8'
+          karaf-version: karaf3
+
+    feature:
+      - legacy:
+          csit-list: >
+              netvirt-legacy-csit-1node-openstack-newton-nodl-v2-gate-{stream},
+              netvirt-legacy-csit-1node-openstack-basic-only-{stream}
diff --git a/jjb/nic/nic-csit-vtnrenderer.yaml b/jjb/nic/nic-csit-vtnrenderer.yaml
deleted file mode 100644 (file)
index be11328..0000000
+++ /dev/null
@@ -1,38 +0,0 @@
----
-- project:
-    name: nic-csit-vtnrenderer
-    jobs:
-      - '{project}-csit-1node-{functionality}-{install}-{stream}'
-      - '{project}-csit-verify-1node-{functionality}'
-
-    # The project name
-    project: 'nic'
-
-    # The functionality under test
-    functionality: 'vtnrenderer'
-
-    # Project branches
-    stream:
-      - nitrogen:
-          branch: 'master'
-          jre: 'openjdk8'
-      - carbon:
-          branch: 'stable/carbon'
-          jre: 'openjdk8'
-          karaf-version: karaf3
-      - boron:
-          branch: 'stable/boron'
-          jre: 'openjdk8'
-          karaf-version: karaf3
-
-    install:
-      - only:
-          scope: 'only'
-      - all:
-          scope: 'all'
-
-    # Features to install
-    install-features: 'odl-nic-console,odl-nic-renderer-vtn'
-
-    # Robot custom options
-    robot-options: ''
index 9f645330341ca7201ccf4895564786b4b479970a..e23d10f7265f9e02f285c833defb7075386347c3 100644 (file)
@@ -1,29 +1,66 @@
 ---
 - project:
-    name: odlparent-nitrogen
+    name: odlparent-master
     jobs:
       - '{project-name}-clm-{stream}'
       - '{project-name}-distribution-check-{stream}'
-      - '{project-name}-integration-{stream}'
       - '{project-name}-merge-{stream}'
       - '{project-name}-verify-{stream}-{maven}-{jdks}'
       - '{project-name}-verify-tox-{stream}'
       - '{project-name}-maven-jobs'
 
-    stream: nitrogen
-    project: 'odlparent'
-    project-name: 'odlparent'
-    branch: 'master'
+    project: odlparent
+    project-name: odlparent
+    stream: master
+    branch: master
+    distribution_branch: master
+
     jdk: openjdk8
     jdks:
       - openjdk8
     maven:
       - mvn33:
           mvn-version: mvn33
-    mvn-settings: 'odlparent-settings'
-    mvn-goals: 'clean install'
+    mvn-settings: odlparent-settings
+    mvn-goals: clean install
     mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
     mvn-version: mvn33
+
+    dependencies: ''
+    email-upstream: '[odlparent]'
+    archive-artifacts: ''
+
+    # Used by the release job
+    settings-file: odlparent-settings
+    staging-profile-id: 880d5ac25eaa
+
+- project:
+    name: odlparent-2.0.x
+    jobs:
+      - '{project-name}-clm-{stream}'
+      - '{project-name}-distribution-check-{stream}'
+      - '{project-name}-merge-{stream}'
+      - '{project-name}-verify-{stream}-{maven}-{jdks}'
+      - '{project-name}-verify-tox-{stream}'
+      - '{project-name}-maven-jobs'
+
+    project: odlparent
+    project-name: odlparent
+    stream: 2.0.x
+    branch: 2.0.x
+    distribution_branch: master
+
+    jdk: openjdk8
+    jdks:
+      - openjdk8
+    maven:
+      - mvn33:
+          mvn-version: mvn33
+    mvn-settings: odlparent-settings
+    mvn-goals: clean install
+    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
+    mvn-version: mvn33
+
     dependencies: ''
     email-upstream: '[odlparent]'
     archive-artifacts: ''
diff --git a/jjb/opendaylight-infra-deploy-maven-site.sh b/jjb/opendaylight-infra-deploy-maven-site.sh
new file mode 100644 (file)
index 0000000..6664532
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/bash
+# @License EPL-1.0 <http://spdx.org/licenses/EPL-1.0>
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+
+# Ensure we fail the job if any steps fail.
+set -eu -o pipefail
+
+MAVEN_GROUP_ID=$(xmlstarlet sel \
+      -N "x=http://maven.apache.org/POM/4.0.0" \
+      -t \
+      --if "/x:project/x:groupId" \
+      -v "/x:project/x:groupId" \
+      --elif "/x:project/x:parent/x:groupId" \
+      -v "/x:project/x:parent/x:groupId" \
+      --else -o "" \
+      pom.xml 2>/dev/null)
+
+cd "$WORKSPACE/target"
+mv staged-site "$STREAM"
+zip -r maven-site.zip "$STREAM"
+lftools deploy nexus-zip "$NEXUS_URL" site "$MAVEN_GROUP_ID" maven-site.zip
index 1bf1b191a07e63c2e10481c595176b9bcfb1de2d..a75710b2c463bcacb4062316bcd35573cf9eb1b3 100644 (file)
@@ -8,7 +8,8 @@ virtualenv "/tmp/v/git-review"
 source "/tmp/v/git-review/bin/activate"
 pip install --upgrade pip
 pip install --upgrade git-review
-pip freeze
+pip install --upgrade pipdeptree
+pipdeptree
 
 # shellcheck disable=SC1083
 CHANGE_ID=$(ssh -p 29418 "jenkins-$SILO@git.opendaylight.org" gerrit query \
index 747beac833f031464ab4ab0cfddf8f1a4ee092d4..9b27972717083175621c8a0ba31398456ae5dc8a 100644 (file)
@@ -31,7 +31,7 @@
           scope: 'only'
 
     # Features to install
-    install-features: 'odl-openflowplugin-flow-services-ui,odl-openflowplugin-app-bulk-o-matic'
+    install-features: 'odl-openflowplugin-flow-services-rest,odl-openflowplugin-app-bulk-o-matic'
 
     # Robot custom options
     robot-options: '-v ODL_OF_PLUGIN:lithium'
index 3d751e6ec69c4ec9c858d6aa07ce73a5bf3c2ac9..60114b4ba5afd7cea7b54dc75c6d3b430947f820 100644 (file)
 
     # Job images
     odl_system_flavor: '8 GB General Purpose v1'
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300'
+    tools_system_image: 'Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221'
 
     # Features to install
     install-features: >
-        odl-openflowplugin-flow-services-ui,
+        odl-openflowplugin-flow-services-rest,
         odl-openflowplugin-app-bulk-o-matic,
         odl-jolokia,
         decanter-collector-jmx,
index 8400e9bd909683641414659c2469fc029acbd0a3..ec446c8549aeffaf8390eed4cd7ef659a0843df3 100644 (file)
 
     # Job images
     odl_system_flavor: 8 GB General Purpose v1
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     # Features to install
     install-features: >
-        odl-openflowplugin-flow-services-ui,
+        odl-openflowplugin-flow-services-rest,
         odl-openflowplugin-app-bulk-o-matic,
         odl-jolokia,
         decanter-collector-jmx,
index bf5df91ad5ec880b31614d8c99b9b23f95003855..d3ca6366ac17d6ff6bd4b8f07ef0a04918e3f9fc 100644 (file)
@@ -29,7 +29,7 @@
           scope: 'only'
 
     # Features to install
-    install-features: 'odl-openflowplugin-flow-services-ui,odl-openflowplugin-drop-test'
+    install-features: 'odl-openflowplugin-flow-services-rest,odl-openflowplugin-drop-test'
 
     # Robot custom options
     robot-options: '-v duration_in_secs:180 -v throughput_threshold:20000 -v latency_threshold:5000'
index b308f19335230cd314215a9bed043580170324de..c68713bd0f8abaad186643e9d04430f2361c09c3 100644 (file)
           scope: 'only'
 
     # Features to install
-    install-features: 'odl-openflowplugin-flow-services-ui,odl-openflowplugin-app-table-miss-enforcer'
+    install-features: 'odl-openflowplugin-flow-services-rest,odl-openflowplugin-app-table-miss-enforcer'
 
     # Robot custom options
     robot-options: '-v ODL_OF_PLUGIN:lithium'
 
     # mininet image
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300'
+    tools_system_image: 'Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221'
index 29d2077453b17b9f82ebe5964858d5ec842d4748..6f9610a22f1fe9490397aed9484f19249a32e074 100644 (file)
@@ -41,4 +41,4 @@
     robot-options: '-v flow_update_time:30s'
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
index deba1fa0636ac502d4df5dd82920b9c21cf0c2a4..caef3feeea37f7645a44e1998c4ab5b11b1f694f 100644 (file)
           scope: 'all'
 
     # Features to install
-    install-features: 'odl-openflowplugin-flow-services-ui,odl-openflowplugin-app-table-miss-enforcer'
+    install-features: 'odl-openflowplugin-flow-services-rest,odl-openflowplugin-app-table-miss-enforcer'
 
     # Robot custom options
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
index f5a2f9c0525031b2d1e8ad3567532b814e906628..3d21067b8e8cc6911c3844fff8ecbb828f3aff5a 100644 (file)
@@ -30,7 +30,7 @@
 
     # Features to install
     install-features: >
-        odl-openflowplugin-flow-services-ui,
+        odl-openflowplugin-flow-services-rest,
         odl-openflowplugin-app-table-miss-enforcer,
         decanter-collector-jmx,
         decanter-appender-elasticsearch
@@ -39,7 +39,7 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     # Plot Info
     01-plot-title: 'Maximum Links Full Mesh Topology'
index 2305d82752e5285d31953f51e419cab25a55a5da..600a4efa373897c4cb585fb6d8b47c80e722f5fb 100644 (file)
@@ -31,7 +31,7 @@
 
     # Features to install
     install-features: >
-        odl-openflowplugin-flow-services-ui,
+        odl-openflowplugin-flow-services-rest,
         odl-openflowplugin-app-table-miss-enforcer,
         decanter-collector-jmx,
         decanter-appender-elasticsearch
@@ -40,7 +40,7 @@
     robot-options: '-v TEST_LENGTH:23h'
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     # Trigger jobs (on saturday)
     schedule: 'H H * * 6'
index 5a93945e0251dc71f5d1ac58664b2e45d68284cc..6a602ea3be43de4408975086c1340cb271872ef9 100644 (file)
 
     # Job images
     odl_system_flavor: 8 GB General Purpose v1
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     # Features to install
     install-features: >
-        odl-openflowplugin-flow-services-ui,
+        odl-openflowplugin-flow-services-rest,
         odl-jolokia,
         decanter-collector-jmx,
         decanter-appender-elasticsearch
index b7381d7820085e2a3362fff6b257b21cc08bd5cc..0d7515f7b9cf624c55e36e973803b8630dee313d 100644 (file)
 
     # Job images
     odl_system_flavor: '8 GB General Purpose v1'
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300'
+    tools_system_image: 'Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221'
 
     # Features to install
     # yamllint disable-line rule:line-length
     install-features: >
-        odl-openflowplugin-flow-services-ui,
+        odl-openflowplugin-flow-services-rest,
         odl-jolokia,
         decanter-collector-jmx,
         decanter-appender-elasticsearch
index bcc131407f5b14120cf34db93a96fbe89936993c..35a5c49abc0f9c7ace113f68fae5a50b6d87cebd 100644 (file)
           scope: 'only'
 
     # Features to install
-    install-features: 'odl-openflowplugin-flow-services-ui,odl-openflowplugin-app-table-miss-enforcer'
+    install-features: 'odl-openflowplugin-flow-services-rest,odl-openflowplugin-app-table-miss-enforcer'
 
     # Robot custom options
     robot-options: '-v SWITCHES:3'
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
index ac59b4f0979404b1ea46ed440b6f1f15241318db..ed96fa8bf15597ebab17f3b2f918c64157902fec 100644 (file)
@@ -31,7 +31,7 @@
           scope: 'only'
 
     # Features to install
-    install-features: 'odl-openflowplugin-flow-services-ui,decanter-collector-jmx,decanter-appender-elasticsearch'
+    install-features: 'odl-openflowplugin-flow-services-rest,decanter-collector-jmx,decanter-appender-elasticsearch'
 
     # Robot custom options
     robot-options: '-v TOPO_TREE_DEPTH:7'
index f35f5af711f64f81aa0174ad0a417b1de7d0a169..dde7afad3567fd843c5b8dfa7cbe9096ceed8498 100644 (file)
 
     # Job images
     odl_system_flavor: '8 GB General Purpose v1'
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300'
+    tools_system_image: 'Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221'
 
     # Features to install
-    install-features: 'odl-openflowplugin-flow-services-ui'
+    install-features: 'odl-openflowplugin-flow-services-rest'
 
     # Robot custom options
     robot-options: '-v flnr:100000 -v swnr:32 -v fpr:200'
index 59af112c358b504608a26eb8e3132dd79ca477a0..5928c1a93ef5467768f112b8a4a3baef9f8e7ba3 100644 (file)
@@ -30,7 +30,7 @@
 
     # Features to install
     install-features: >
-        odl-openflowplugin-flow-services-ui,
+        odl-openflowplugin-flow-services-rest,
         decanter-collector-jmx,
         decanter-appender-elasticsearch
 
@@ -38,7 +38,7 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     # Plot Info
     01-plot-title: 'Maximum Switches Linear Topology'
index 1aad638df6e75d7f4164baa96ccc26cb2efab127..856c8b3229764977dac2d87fc27628214a6f3a14 100644 (file)
@@ -6,16 +6,6 @@
 #   -o pipefail: Fail on errors in scripts this calls, give stacktrace
 set -ex -o pipefail
 
-# Install required packages
-sudo apt-get install -y --force-yes \
-                    build-essential \
-                    devscripts \
-                    equivs \
-                    dh-systemd \
-                    python-yaml \
-                    python-jinja2 \
-                    gdebi
-
 # Build release specified by build params
 "$WORKSPACE/packaging/deb/build.py" --major "$VERSION_MAJOR" \
                                   --minor "$VERSION_MINOR" \
index f5cea65d1c2f91383a3915ac4f59e608309108ca..f57681b7b2797d9c3d8db52cd0a1b2b334648c70 100644 (file)
@@ -26,11 +26,9 @@ then
   sudo apt-get install -y opendaylight
 else
   echo "URL is not a link to a PPA repo or .deb"
+  exit 1
 fi
 
-# Install expect to interact with karaf shell
-sudo apt-get install -y expect
-
 # Start OpenDaylight
 sudo systemctl start opendaylight
 
@@ -39,3 +37,6 @@ sudo systemctl status opendaylight
 
 # Get process id of Java
 pgrep java
+
+# Install expect to interact with karaf shell
+sudo apt-get install -y expect
index d2e20808324d4bed7c47070cb07b09f6b19a50f4..517f9c53b510e2d2c1ac77a1c724d27c931989cb 100644 (file)
@@ -2,6 +2,9 @@
 # This script starts the karaf shell and sends the password for SSH auth.
 # Further tests in karaf shell can be done here
 
+# Echo commands
+log_user 1
+
 # Default password
 set password "karaf"
 # Default prompt
@@ -13,12 +16,43 @@ sleep 10
 
 # SSH into Karaf shell
 spawn ssh -p 8101 -o StrictHostKeyChecking=no karaf@127.0.0.1
+expect "Password authentication"
 expect "Password: "
 send "$password\r"
 
 # Verify expected features
 expect "$prompt"
-send "feature:list | grep netvirt-openstack\r"
+send "feature:list | grep odl-netvirt-openstack\r"
+expect {{
+  timeout {{
+    send_user "\nTest feature not found"
+    exit 1
+  }}
+  "OpenDaylight :: NetVirt :: OpenStack" {{
+    send_user "\nTest feature available"
+  }}
+}}
+
+# Install feature
+send "feature:install odl-netvirt-openstack\r"
+expect {{
+  "Error executing command: Can't install feature" {{
+    send_user "\nFailed to install test feature"
+    exit 1
+  }}
+}}
+
+# Verify installed feature is actually installed
 expect "$prompt"
+send "feature:list | grep odl-netvirt-openstack\r"
+expect {{
+  timeout {{
+    send_user "\nTest feature not installed\n"
+    exit 1
+  }}
+  " x " {{
+    send_user "\nTest feature installed successfully\n"
+  }}
+}}
 
 # TODO Add further tests here
index bb321a8a553c9ee38abc197487c4dd7986d60e71..e5133d7d84f7d47acbf5ab82527190c5c9ff09a8 100644 (file)
@@ -6,12 +6,6 @@
 #   -o pipefail: Fail on errors in scripts this calls, give stacktrace
 set -ex -o pipefail
 
-# Remove opendaylight if already installed
-if rpm -q opendaylight > /dev/null;
-then
-  sudo yum remove -y opendaylight;
-fi
-
 # Install ODL from .rpm link or .repo url
 if [[ $URL == *.rpm ]]
 then
@@ -24,11 +18,9 @@ then
   sudo yum install -y opendaylight
 else
   echo "URL is not a link to .rpm or .repo"
+  exit 1
 fi
 
-# Install expect to interact with karaf shell
-sudo yum install -y expect
-
 # Start OpenDaylight
 sudo systemctl start opendaylight
 
@@ -37,3 +29,6 @@ sudo systemctl status opendaylight
 
 # Get process id of Java
 pgrep java
+
+# Install expect to interact with karaf shell
+sudo yum install -y expect
index 27449427ceb5b96044fa60d6b87055f24df3e629..417c498f80c91160fa5fd07764f0a8b28458f73c 100644 (file)
@@ -38,7 +38,7 @@
       - string:
           name: DOWNLOAD_URL
           # yamllint disable-line rule:line-length
-          default: 'https://nexus.opendaylight.org/content/repositories/opendaylight.release/org/opendaylight/integration/distribution-karaf/0.5.3-Boron-SR3/distribution-karaf-0.5.3-Boron-SR3.tar.gz'
+          default: 'https://nexus.opendaylight.org/content/repositories/opendaylight.release/org/opendaylight/integration/distribution-karaf/0.6.0-Carbon/distribution-karaf-0.6.0-Carbon.tar.gz'
           description: 'URL to ODL tarball artifact to repackage into RPM'
       - string:
           name: CHANGELOG_NAME
       - string:
           name: URL
           # yamllint disable-line rule:line-length
-          default: 'https://raw.githubusercontent.com/opendaylight/integration-packaging/master/rpm/example_repo_configs/opendaylight-52-release.repo'
+          default: 'https://raw.githubusercontent.com/opendaylight/integration-packaging/master/rpm/example_repo_configs/opendaylight-60-release.repo'
           description: 'Link to .repo or .rpm file'
 
     scm:
index 94c5b1381e05681b868e38466a86265973df1a39..313815222dcbf48ff3ee0867c19457f35cb29507 100644 (file)
@@ -58,7 +58,7 @@
     stack-template: csit-2-instance-type.yaml
     docker_system_count: 1
     docker_system_flavor: 4 GB General Purpose v1
-    docker_system_image: CentOS 7 - docker - 20170120-1434
+    docker_system_image: CentOS 7 - docker - 20170609-0220
     odl_system_count: 1
     odl_system_flavor: 4 GB General Purpose v1
     odl_system_image: CentOS 7 - java-builder - 20170609-0259
@@ -67,7 +67,7 @@
     openstack_system_image: CentOS 7 - devstack - 20170609-0220
     tools_system_count: 1
     tools_system_flavor: 2 GB General Purpose v1
-    tools_system_image: Ubuntu 14.04 - mininet - 20170210-0439
+    tools_system_image: Ubuntu 14.04 - mininet - 20170609-0220
 
     # Default Robot framework options
     robot-options: ''
@@ -75,9 +75,9 @@
 
     # Data for csit-verify jobs
     # Branch for "last" version detection
-    verify-branch: stable/boron
+    verify-branch: stable/carbon
     # Value for ODL_STREAM
-    verify-stream: boron
+    verify-stream: carbon
     verify-karaf-version: karaf3
     verify-jdkversion: openjdk8
 
         netvirt-csit-hwvtep-3node-openstack-newton-upstream-transparent-nitrogen,
         nic-csit-1node-basic-all-nitrogen,
         nic-csit-1node-basic-only-nitrogen,
-        nic-csit-1node-vtnrenderer-all-nitrogen,
-        nic-csit-1node-vtnrenderer-only-nitrogen,
         ocpplugin-csit-1node-get-all-nitrogen,
         ocpplugin-csit-1node-get-only-nitrogen,
         ocpplugin-csit-1node-scalability-all-nitrogen,
         netvirt-csit-hwvtep-3node-openstack-newton-upstream-transparent-carbon,
         nic-csit-1node-basic-all-carbon,
         nic-csit-1node-basic-only-carbon,
-        nic-csit-1node-vtnrenderer-all-carbon,
-        nic-csit-1node-vtnrenderer-only-carbon,
         ocpplugin-csit-1node-get-all-carbon,
         ocpplugin-csit-1node-get-only-carbon,
         ocpplugin-csit-1node-scalability-all-carbon,
         netvirt-legacy-csit-3node-openstack-ocata-upstream-boron,
         nic-csit-1node-basic-all-boron,
         nic-csit-1node-basic-only-boron,
-        nic-csit-1node-vtnrenderer-all-boron,
-        nic-csit-1node-vtnrenderer-only-boron,
         ocpplugin-csit-1node-get-all-boron,
         ocpplugin-csit-1node-get-only-boron,
         ocpplugin-csit-1node-scalability-all-boron,
index 1a686edc38d563cf60e931a8a3d3946947a0d8a1..caf99a049504cbff695f77928976d7bfd766de8e 100644 (file)
         templates: mininet
       - platforms: ubuntu-16.04
         templates: gbp
+      - platforms: ubuntu-16.04
+        templates: baseline
+      - platforms: centos
+        templates: baseline
 
 
 - job-template:
index 4732423d7c8cf72185644ec2e08c8d3bbd5be3a7..390973a5b5ff9b32265eb05dfd69f70cfbe99b87 100644 (file)
           name: ARCHIVE_ARTIFACTS
           default: >
               {artifacts}
-              **/target/surefire-reports/*-output.txt
+              **/target/surefire-reports/*.txt
+              **/target/surefire-reports/*.xml
+              **/target/failsafe-reports/*.txt
+              **/target/failsafe-reports/*.xml
               **/hs_err_*.log
               **/target/feature/feature.xml
               **/*.hprof
                 healthy: 50
                 unhealthy: 40
 
+- builder:
+    # Deploys a maven site to Nexus using lftools nexus-zip command
+    name: opendaylight-infra-deploy-maven-site
+    builders:
+      - lf-provide-maven-settings:
+          global-settings-file: global-settings
+          settings-file: '{settings-file}'
+      - lf-infra-create-netrc:
+          server-id: opendaylight-site
+      - shell: !include-raw-escape:
+          - global-jjb/shell/lftools-install.sh
+          - opendaylight-infra-deploy-maven-site.sh
+      - lf-provide-maven-settings-cleanup
+
 - builder:
     name: opendaylight-infra-stack
     # opendaylight-infra-stack.sh has a required variable {stack-template} that
             - file-id: 'packer-cloud-env'
               variable: 'CLOUDENV'
       - shell: |
+          #!/bin/bash
           cd packer
           varfiles="../packer/vars/*"
           templates="../packer/templates/*"
             - file-id: 'packer-cloud-env'
               variable: 'CLOUDENV'
       - shell: |
+          #!/bin/bash
           cd packer
           export PACKER_LOG="yes" && \
           export PACKER_LOG_PATH="packer-build.log" && \
                       packer.io build -color=false -var-file=$CLOUDENV \
                        -var-file=../packer/vars/{platform}.json \
                        ../packer/templates/{template}.json
+          # Split public and private cloud logs
+          grep -e 'public_cloud' packer-build.log > packer-build_public_cloud.log  2>&1
+          grep -e 'private_cloud' packer-build.log > packer-build_private_cloud.log 2>&1
 
 - builder:
     # TODO: Verify signature after downloading users public key from a locally created
index ee30c6ba9be8e697b57efb216f70d366eb21891e..3cd9c2cb82d95ff68387785d2840e66dca6961d6 100644 (file)
           branch: '{branch}'
           refspec: 'refs/heads/{branch}'
           artifacts: '{archive-artifacts}'
+      - string:
+          name: STREAM
+          default: '{stream}'
+          description: "String representing release name"
 
     scm:
       - gerrit-trigger-scm:
                 settings-type: cfp
                 global-settings: 'global-settings'
                 global-settings-type: cfp
-            - maven-target:
-                maven-version: 'mvn33'
-                pom: deploy-site.xml
-                goals: 'site:deploy -V -B -Dstream={stream}'
-                java-opts:
-                  - '-Xmx2g'
-                settings: '{mvn-settings}'
-                settings-type: cfp
-                global-settings: 'global-settings'
-                global-settings-type: cfp
+            - opendaylight-infra-deploy-maven-site:
+                settings-file: '{mvn-settings}'
 
     reporters:
       - findbugs
diff --git a/jjb/tcpmd5/tcpmd5.yaml b/jjb/tcpmd5/tcpmd5.yaml
deleted file mode 100644 (file)
index d35bdb2..0000000
+++ /dev/null
@@ -1,91 +0,0 @@
----
-- project:
-    name: tcpmd5-nitrogen
-    jobs:
-      - '{project-name}-clm-{stream}'
-      - '{project-name}-integration-{stream}'
-      - '{project-name}-merge-{stream}'
-      - '{project-name}-verify-{stream}-{maven}-{jdks}'
-
-    stream: nitrogen
-    project: 'tcpmd5'
-    project-name: 'tcpmd5'
-    branch: 'master'
-    jdk: openjdk8
-    jdks:
-      - openjdk8
-
-    maven:
-      - mvn33:
-          mvn-version: 'mvn33'
-    mvn-settings: 'tcpmd5-settings'
-    mvn-goals: 'clean -DrepoBuild install javadoc:aggregate'
-    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
-    dependencies: 'odlparent-merge-{stream},yangtools-merge-{stream},controller-merge-{stream}'
-    email-upstream: '[tcpmd5] [odlparent] [yangtools] [controller]'
-    archive-artifacts: ''
-
-- project:
-    name: tcpmd5-carbon
-    jobs:
-      - '{project-name}-clm-{stream}'
-      - '{project-name}-integration-{stream}'
-      - '{project-name}-merge-{stream}'
-      - '{project-name}-verify-{stream}-{maven}-{jdks}'
-
-    stream: carbon
-    project: 'tcpmd5'
-    project-name: 'tcpmd5'
-    branch: 'stable/carbon'
-    karaf-version: karaf3
-    jdk: openjdk8
-    jdks:
-      - openjdk8
-
-    maven:
-      - mvn33:
-          mvn-version: 'mvn33'
-    mvn-settings: 'tcpmd5-settings'
-    mvn-goals: 'clean -DrepoBuild install javadoc:aggregate'
-    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
-    dependencies: 'odlparent-merge-{stream},yangtools-merge-{stream},controller-merge-{stream}'
-    email-upstream: '[tcpmd5] [odlparent] [yangtools] [controller]'
-    archive-artifacts: ''
-
-- project:
-    name: tcpmd5-boron
-    jobs:
-      - '{project-name}-clm-{stream}'
-      - '{project-name}-integration-{stream}'
-      - '{project-name}-merge-{stream}'
-      - '{project-name}-verify-{stream}-{maven}-{jdks}'
-
-    stream: boron
-    project: 'tcpmd5'
-    project-name: 'tcpmd5'
-    branch: 'stable/boron'
-    karaf-version: karaf3
-    jdk: openjdk8
-    jdks:
-      - openjdk8
-
-    maven:
-      - mvn33:
-          mvn-version: 'mvn33'
-    mvn-settings: 'tcpmd5-settings'
-    mvn-goals: 'clean -DrepoBuild install javadoc:aggregate'
-    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
-    dependencies: 'odlparent-merge-{stream},yangtools-merge-{stream},controller-merge-{stream}'
-    email-upstream: '[tcpmd5] [odlparent] [yangtools] [controller]'
-    archive-artifacts: ''
-
-- project:
-    name: tcpmd5-sonar
-    jobs:
-      - '{project-name}-sonar'
-    project: 'tcpmd5'
-    project-name: 'tcpmd5'
-    branch: 'master'
-    mvn-settings: 'tcpmd5-settings'
-    mvn-goals: 'clean -DrepoBuild install javadoc:aggregate'
-    mvn-opts: '-Xmx1024m -XX:MaxPermSize=256m'
index e2435af9f3c043fdf9e9ba5ccf0f6dc38eb47d31..8a9f7379427147d520efe62e77e98f1a8b0dc631 100644 (file)
@@ -6,6 +6,7 @@
       - '{project-name}-distribution-check-{stream}'
       - '{project-name}-integration-{stream}'
       - '{project-name}-merge-{stream}'
+      - '{project-name}-validate-autorelease-{stream}'
       - '{project-name}-verify-{stream}-{maven}-{jdks}'
 
     stream: nitrogen
index 214c62042cb99cef545e50f4c5e49c1524ad45e4..8d7396b89bf4d5580690a2593d398603b3323151 100644 (file)
@@ -41,4 +41,4 @@
     robot-options: ''
 
     # mininet image
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
index 1e7185d5e06260b5bbf8bea8376af447f3abfcb9..9196216b8aa2f8ddb7b95dd426d9022783b4a150 100644 (file)
@@ -37,4 +37,4 @@
     # Robot custom options
     robot-options: ''
 
-    tools_system_image: 'Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300'
+    tools_system_image: 'Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221'
index 20d86d4774dad17a663e260cde51e40b8d733d90..838cf6faf997a45fa0fcdf89a3283ff09fe13dd6 100644 (file)
           branch: 'stable/carbon'
           jre: 'openjdk8'
           karaf-version: karaf3
-          tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+          tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
       - boron:
           branch: 'stable/boron'
           jre: 'openjdk8'
           karaf-version: karaf3
-          tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+          tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
 
     install:
       - only:
index 4cb61a3bd135f1434bac5ca34dec43df18ac0f80..c3c2c64625963ddd64dfdd0d715f57be135446c5 100644 (file)
@@ -37,4 +37,4 @@
     # Robot custom options
     robot-options: ''
 
-    tools_system_image: Ubuntu 14.04 - mininet-ovs-25 - 20170210-0300
+    tools_system_image: Ubuntu 16.04 - mininet-ovs-25 - 20170609-0221
index 51722ff563e021d39dac094eb5eee4135ba30e64..4c5ee0c212e68cc2ce74edf34feb1c45ebc692ca 100644 (file)
@@ -36,7 +36,7 @@
       - newton:
           openstack-branch: 'stable/newton'
           odl-ml2-branch: 'stable/newton'
-          openstack_system_image: 'CentOS 7 - devstack-newton - 20170314-2256'
+          openstack_system_image: 'CentOS 7 - devstack-newton - 20170609-0220'
 
     schedule: ''
 
index e5f727f5a4e57eb6c08a0aadae892e42edb972a6..343f61756b715d600b9358d065e2a513ba34bdec 100644 (file)
@@ -79,6 +79,7 @@ ensure_ubuntu_install() {
         # Retry installing package 5 times if necessary
         for i in {0..5}
         do
+            echo "$i: Installing $pkg"
             if [ "$(dpkg-query -W -f='${Status}' "$pkg" 2>/dev/null | grep -c "ok installed")" -eq 0 ]; then
                 apt-cache policy "$pkg"
                 apt-get install "$pkg"
@@ -344,6 +345,11 @@ EOF
     echo '---> Disabling automatic daily upgrades'
     sed -ine 's/"1"/"0"/g' /etc/apt/apt.conf.d/10periodic
     echo 'APT::Periodic::Unattended-Upgrade "0";' >> /etc/apt/apt.conf.d/10periodic
+
+    # Install packaging job dependencies for building debs
+    ensure_ubuntu_install  build-essential devscripts equivs dh-systemd python-yaml \
+                    python-jinja2 gdebi
+
 }
 
 all_systems() {
index 42bcbca17c8160c9489b6642c39375e3826d62a9..a081c84e9b5cb138d12b8f52d0be4398e99a5ccf 100644 (file)
@@ -22,6 +22,7 @@ fi
 
 echo '---> Pre-installing yum and pip packages'
 projs="requirements keystone glance cinder neutron nova horizon"
+# shellcheck disable=SC2154
 branch=${os_branch}
 
 wget https://bootstrap.pypa.io/get-pip.py